Module java.desktop
Package javax.swing.plaf.basic

## Class BasicViewportUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ViewportUI
    - - javax.swing.plaf.basic.BasicViewportUI

    public class BasicViewportUI
    extends ViewportUI

BasicViewport implementation

### Constructor Summary

Constructors
`BasicViewportUI()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ComponentUI` `createUI​(JComponent c)` Returns an instance of `BasicViewportUI`.
`protected void` `installDefaults​(JComponent c)` Installs view port properties.
`protected void` `uninstallDefaults​(JComponent c)` Uninstall view port properties.

### Methods declared in class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicViewportUI

    public BasicViewportUI()

### Method Detail

#### createUI

    public static ComponentUI createUI​(JComponent c)

Returns an instance of `BasicViewportUI`.

Parameters:
  `c` - a component
Returns:
  an instance of `BasicViewportUI`

#### installDefaults

    protected void installDefaults​(JComponent c)

Installs view port properties.

Parameters:
  `c` - a component

#### uninstallDefaults

    protected void uninstallDefaults​(JComponent c)

Uninstall view port properties.

Parameters:
  `c` - a component